Subject: bug#56198: Request to delete window with mouse event

From: Visuwesh <[email-masked]>
Date: Sat, 25 Jun 2022 13:44:03 +0530

[சனி ஜூன் 25, 2022] [email-masked] wrote:

> Jun 24, 2022, 17:10 by [email-masked]:
>
>  [வெள்ளி ஜூன் 24, 2022] carlmarcos--- via "Bug reports for GNU Emacs, the Swiss army knife of text editors"
>  wrote:
>
>  I frequently split my windows,  I usually kill the buffer using the
>  menu bar.  But this leaves me with the window open with some other
>  buffer.  Would like to request some facility to delete a window
>  (delete-window) using the mouse, as I frequently do for
>  `kill-buffer'.  Perhaps the capability could be inserted in the window
>  mode-line.  Where  one can usually turn off a minor-mode with the
>  mouse.
>
>  I think mouse-3 (i.e., Right Click) on the mode-line does what you want?
>  However, this does not kill the buffer that shown in the window though
>  but should be easy enough to change (search for "mouse-delete-window" in
>  mouse.el).
>
> Was not aware of mouse-3 on mode-line.  Just need to rewove the window, 
> without necessarily killing the buffer.
>
> Actually, I have noticed a problem with using mouse-3 on mode-line.  Suppose
> you push mouse-3 on mode-line, the window is removed without giving me the 
> possibility to net remove it should I change my mind.  
>
> It is different behaviour than for instance the mode-line options for minor-mode,
> where you can decide not to take any action.

For this, I have winner-mode enabled.  Should I regret my choice, I
simply say M-x winner-undo RET.  Granted, this requires the keyboard but
this is not a frequent problem for me to care enough.